ADUNCORE(1)

NAME
AdunCore - core module of the Adun molecular simulator

SYNOPSIS
AdunCore [OPTIONS]

DESCRIPTION
This manual page documents briefly the AdunCore command.

AdunCore is the core module of the Adun molecular simulator. It is launched automatically from the UL GUI but can be used from the GNU/Linux console as well. Options to AdunCore must be specified as value pairs in the form `-Option Value'. The following options are available:

-Template
    A valid Adun template. This is the only option that is mandatory.

-ExternalObjects
    A dictionary in plist format. Its contents extend the externalObjects section of the template. If there are duplicate keys this dictionary takes precedence.

-SimulationOutputDir
    Directory where simulation data directory will be stored. (Default value: SimulationOutput)

-ControllerOutputDir
    Directory where controller data will be stored. (Default value: ControllerOutput)

-CreateLogFiles
    If YES log files are created. If NO they are not. (Default value: YES)

-LogFile
    File where the program output will be written. (Default value: AdunCore.log)

-ErrorFile
    File where program errors and warnings will be written. (Default value: AdunCore.errors)

-RedirectOutput
    If YES the log files will be moved to the simulation output directory. (Default value: YES)

-RunInteractive
    If YES the simulation loop is spawned as a separate thread. The main thread then enters a run loop and can serve external requests. If NO then interaction is not possible with the simulation. (Default value: NO)

-ConnectToAdServer
    If YES the simulation registers its existence with a local AdServer daemon. This allows the simulation to be viewed and controlled from the Adun GUI. (Default value: NO)

SEE ALSO
UL(1), AdunServer(1), GNUstep(7).

AUTHOR
AdunServer was written by Michael A. Johnston, I. F. Galvn, Jordi Vill-Freixa, Alexander V. Diemand.

This manual page was written by Yavor Doganov <yavor@gnu.org> for the Debian project (but may be used by others).